lnpdllx(1)

NAME
lnpdllx - BrickOS RCX downloader communicating through the LNP Daemon

SYNOPSIS
lnpdllx [-r{rcxnbr}] [-p{programslot}] [-s{srcport}] [-v] {filename.lx}

DESCRIPTION
lnpdllx is an experimental version of lnpdll(1) an lnpd-aware limited version of BrickOS dll(1) which is used to download programs to the RCX running BrickOS. lnpdllx is different from dll(1) in that it communicates to the IR Tower using the LNP Daemon instead of interacting directly to the tty serial port.

OPTIONS
A summary of options understood by lnpdllx

-r {rcxnbr}
    download to the RCX {rcxnbr}

-p {slotnbr}
    place the downloaded program in {slotnbr} ([1-8] for BrickOS)

-s {srcport}
    the port from which you are sending the data

-v  enable verbose messages

-h  Show similar help text at command-line.

SEE ALSO
lnpd(8), lnpdll(1), lnptest(1)

You'll find additional documentation in /usr/share/doc/lnpd (on Debian GNU/Linux systems)

AUTHOR
lnpdllx was written by Martin Cornelius <Martin.Cornelius@t-online.de> This man page was written by Stephen Moraco <stephen@debian.org>